/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.EmpresaEquivalenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaEquivalencia;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("empresaEquivalenciaDAO")
public class EmpresaEquivalenciaHibernateDAO
        extends GenericHibernateDAO<EmpresaEquivalencia, Integer>
        implements EmpresaEquivalenciaDAO {

    @Autowired
    public EmpresaEquivalenciaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<EmpresaEquivalencia> buscar(Empresa empresa, ComisionistaExterno comisionistaExterno) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("empresa", empresa));
        c.add(Restrictions.eq("comisionistaExterno", comisionistaExterno));

        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<EmpresaEquivalencia> buscar(EmpresaEquivalencia empresaEquivalencia) {
        Criteria c = getSession().createCriteria(getPersistentClass());

        c.add(Restrictions.eq("equivalenciaId", empresaEquivalencia.getEquivalenciaId()));

        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
}
